=== debian/changelog ===
abduco (0.1-2) unstable; urgency=low

  * Recommend dvtm. (Closes: #755577)

 -- Evan Hanson <evhan@foldling.org>  Wed, 23 Jul 2014 08:02:37 +1200

abduco (0.1-1) unstable; urgency=low

  * Initial release. (Closes: #755122)

 -- Evan Hanson <evhan@foldling.org>  Sun, 20 Jul 2014 16:50:42 +1200
