=== debian/control ===
Source: abduco
Section: utils
Priority: optional
Maintainer: Evan Hanson <evhan@foldling.org>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.5
Homepage: http://www.brain-dump.org/projects/abduco/

Package: abduco
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: dvtm
Description: terminal session manager
 abduco provides session management, allowing programs to be run independently
 from their controlling terminals. That is, programs can be detached - run in
 the background - and then later reattached. Together with dvtm it provides a
 simple and clean alternative to tmux or screen.
