=== debian/watch ===
version=3
http://www.brain-dump.org/projects/abduco/abduco-([\d\.]+)\.tar\.gz
